proc packageName {file} {
	return [file rootname [file rootname [file tail $file]]];
}

proc packageVersion {file} {
	return [join [lrange [split [file extension [file rootname [file tail $file]]] ""] 1 end] "."];
}

foreach file [glob -nocomplain -directory $dir {*.[0-9]*.tcl}] {
	package ifneeded [packageName $file] [packageVersion $file] [list source $file];
}

rename packageName {};
rename packageVersion {};
